## boxbackup 0.13~~git20220405.g7703ac8

=== debian/changelog ===
boxbackup (0.13~~git20220405.g7703ac8-2) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * debian/rules: fix autoconf build issue
                  ignore errors during testing because of old certs
  * debian/control: update maintainer email
                    bump Standards-Version to 4.6.1 (no changes)
  * debian/copyright: add debian/* copyright lines

  [ Bastian Germann ]
  * debian/control: add perl:Depends for both packages
  
  [ Ian Goldberg ]
  * debian/patches: Add openssl_provider.patch to fix FTBFS
                    with OpenSSL 3.0 (Closes: #995640)

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Wed, 17 Aug 2022 16:17:08 +0300

boxbackup (0.13~~git20220405.g7703ac8-1) unstable; urgency=medium

  * New upstream version 0.13~~git20220405.g7703ac8
  * Refreshed patches

 -- Ileana Dumitrescu <ileanadumi95@protonmail.com>  Thu, 07 Apr 2022 17:33:33 +0300

boxbackup (0.13~~git20200326.g8e8b63c-2) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * debian/control: debhelper-compat version 13
                    removed some lintian warnings
                    updated maintainer (Closes: #817078)
  * debian/rules: converted to new dh format
  * debian/copyright: updated to dep5 version 1.0 format
  * debian/boxbackup-client.config: added set -e
  * debian/boxbackup-server.config: added set -e
  * debian/compat: removed for new dh format

  [ Simon Chopin ]
  * debian/patches: added patch c++17.diff (Closes: #984002)

 -- Ileana Dumitrescu <ileanadumi95@protonmail.com>  Wed, 05 Jan 2022 14:24:10 +0100
