=== debian/control ===
Source: boxbackup
Section: utils
Priority: optional
Maintainer: Ileana Dumitrescu <ileanadumitrescu95@gmail.com>
Build-Depends:
 autoconf,
 automake,
 debhelper-compat (= 13),
 docbook-utils,
 docbook-xml,
 docbook-xsl,
 libdb-dev (>= 4.7),
 libedit-dev,
 libssl-dev,
 libtest-lwp-useragent-perl,
 xsltproc,
 zlib1g-dev
Standards-Version: 4.6.1
Homepage: http://boxbackup.org
Vcs-Git: https://salsa.debian.org/debian/boxbackup.git
Vcs-Browser: https://salsa.debian.org/debian/boxbackup
Rules-Requires-Root: no

Package: boxbackup-server
Architecture: any
Depends:
 adduser,
 debconf | debconf-2.0,
 gawk,
 lsb-base (>= 3.0-6),
 openssl,
 perl,
 ucf,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: e2fsprogs
Description: server for the BoxBackup remote backup system
 BoxBackup is an automatic on-line backup system.
 The server waits for connections from remote clients,
 authenticates them via X.509 certificates and stores the
 encrypted data on hard drives with optional RAID techniques.
 It also supports versions historization and per-user quotas.

Package: boxbackup-client
Architecture: any
Depends:
 debconf | debconf-2.0,
 lsb-base (>= 3.0-6),
 openssl,
 perl,
 ucf,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: client for the BoxBackup remote backup system
 BoxBackup is an automatic on-line backup system.
 The client watches for changes on the local file system,
 connects to a BoxBackup server and sends the changes via a
 secure channel. All data is encrypted before being sent to
 the server. A command-line tool is provided for restoration
 of backups including deleted files and old versions.
