## boxbackup 0.13~~git20221201.g166b3fa

=== debian/changelog ===
boxbackup (0.13~~git20221201.g166b3fa-1) unstable; urgency=medium

  * New upstream version 0.13~~git20221201.g166b3fa
  * debian/control: bump Standards-Version to 4.6.2 (no changes)
  * debian/copyright: update debian copyright year to 2023
                      add common-licenses paths
  * debian/patches: refresh existing patches
                    add correct-apos-in-manpages.diff to allow correct
                    apostrophe format in manpages
                    add description header to openssl_provider.diff
  * debian/source/lintian-overrides: add to remove false positive warnings
  * debian/watch: remove gpgmode=none
                  update to version 4

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Tue, 17 Jan 2023 14:52:02 +0200

boxbackup (0.13~~git20220405.g7703ac8-3) unstable; urgency=medium

  * debian/copyright: update licensing

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Tue, 06 Sep 2022 16:29:11 +0300
