=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libtest-lwp-useragent-perl,
  xsltproc,
  zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://boxbackup.org
 Vcs-Git: https://salsa.debian.org/debian/boxbackup.git
 Vcs-Browser: https://salsa.debian.org/debian/boxbackup
