=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

TMP:=$(CURDIR)/debian/tmp

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

%:
	dh $@
	
override_dh_autoreconf:
	echo "$(DEB_VERSION_UPSTREAM_REVISION)" > VERSION.txt
	echo "boxbackup" >> VERSION.txt
	sh -x ./bootstrap
	
override_dh_auto_configure:
	./configure $(DEB_EXTRA_CONFIG_FLAGS)
	
override_dh_auto_test:
# the testsuite is only really maintained on i386 and amd64
ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	-./runtest.pl ALL
endif
endif
	
override_dh_auto_install:
	mkdir -p $(TMP)/etc/logcheck/ignore.d.workstation
	mkdir -p $(TMP)/etc/logcheck/ignore.d.server
	install -m 644 debian/boxbackup-server.logcheck.ignore $(TMP)/etc/logcheck/ignore.d.workstation/boxbackup-server
	install -m 644 debian/boxbackup-server.logcheck.ignore $(TMP)/etc/logcheck/ignore.d.server/boxbackup-server

docs/docbook/instguide.pdf:
	$(MAKE) -C docs instguide
	cd docs/docbook && docbook2pdf instguide.xml

docs/docbook/adminguide.pdf: configure-stamp
	$(MAKE) -C docs adminguide
	cd docs/docbook && docbook2pdf adminguide.xml

docs: docs/docbook/instguide.pdf docs/docbook/adminguide.pdf
	$(MAKE) -C docs manpages
