## boxbackup 0.13~~git20230122.g8467280

=== debian/changelog ===
boxbackup (0.13~~git20230122.g8467280-3) unstable; urgency=medium

  * d/control: Fix Depends for lsb-release in the client and server.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Fri, 01 Sep 2023 17:41:01 +0300

boxbackup (0.13~~git20230122.g8467280-2) unstable; urgency=medium

  * Fix failure to build after successful build (Closes: #1043742).
  * d/clean: Remove autogenerated files.
  * d/source/options: Ignore modified source files.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Mon, 14 Aug 2023 22:44:59 +0300

boxbackup (0.13~~git20230122.g8467280-1) experimental; urgency=medium

  * New upstream version 0.13~~git20230122.g8467280
  * debian/control: change lsb-base to lsb in depends lines

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Tue, 28 Mar 2023 17:00:52 +0300
