## boxbackup 0.13~~git20231028.g3dd5194+ds

=== test/win32/Makefile ===
timezone.exe: timezone.cpp Makefile
	g++ -g -O0 -mno-cygwin -I../../lib/win32 -o timezone.exe timezone.cpp 

clean:
	rm timezone.exe
