=== debian/changelog ===
boxbackup (0.13~~git20231028.g3dd5194+ds-5) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * d/po/ca.po: Add Catalan po-debconf translation.

  [ Ileana Dumitrescu ]
  * d/control: Bump Standards-Version from 4.7.0 to 4.7.2.
  * d/watch: Remove 'debian uupdate'.
  * d/copyright: Update debian copyright year to 2025, update FSF
  address to point to webpage, and remove trailing slashes for the
  excluded files.
  * d/rules: Check DEB_BUILD_OPTIONS for dh_auto_test.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Wed, 13 Aug 2025 21:24:53 +0300

boxbackup (0.13~~git20231028.g3dd5194+ds-4) unstable; urgency=medium

  [ Niels Thykier ]
  * d/rules: Remove obsolete content.

  [ Ileana Dumitrescu ]
  * d/rules, d/boxbackup-server.install: Let dh_installlogcheck handle install.
  * d/rules: Remove redundant CFLAGS definition.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Thu, 06 Jun 2024 21:38:31 +0300

boxbackup (0.13~~git20231028.g3dd5194+ds-3) unstable; urgency=medium

  * d/patches: Skip test using old hard-coded certificates (Closes: #1070895).
  * d/copyright: Update debian copyright year to 2024.
  * d/control: Bump Standards-Version from 4.6.2 to 4.7.0.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Tue, 21 May 2024 18:38:46 +0300

boxbackup (0.13~~git20231028.g3dd5194+ds-2) unstable; urgency=medium

  * d/rules: Make tests verbose and specify release for tests.
  * d/patches:
    - Fix national encoding for name in THANKS.txt.
    - Mark Forwarded as not-needed for some patches.
  * d/upstream/metadata: Add upstream metadata.
  * d/boxbackup-client.timer: Create for cron.d script.
  * d/boxbackup-client.service:
    - Point to manpage documentation.
    - Specify Wants for boxbackup-client.timer.
  * d/boxbackup-server.service: Point to manpage documentation.
  * d/boxbackup-client.init: Specify status option in usage.
  * d/boxbackup-server.init: Specify status option in usage.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Mon, 13 Nov 2023 19:04:27 +0200

boxbackup (0.13~~git20231028.g3dd5194+ds-1) unstable; urgency=medium

  * New upstream version 0.13~~git20231028.g3dd5194+ds
  * d/gbp.conf: Pull and commit to pristine-tar branch.
  * d/copyright: Exclude unnecessary vcxproj files.
  * d/watch: Update to add '+ds' suffix for repacking.
  * d/patches: Refresh 03-adjust-syslog-facility.diff and c++17.diff.
  * d/rules: Enable hardening and make build verbose.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Fri, 10 Nov 2023 16:29:13 +0200
