=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libtest-lwp-useragent-perl,
  xsltproc,
  zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: http://boxbackup.org
 Vcs-Git: https://salsa.debian.org/debian/boxbackup.git
 Vcs-Browser: https://salsa.debian.org/debian/boxbackup
@@ -27,7 +27,7 @@
  adduser,
  debconf | debconf-2.0,
  gawk,
- lsb-base (>= 3.0-6),
+ lsb-release,
  openssl,
  perl,
  ucf,
@@ -47,7 +47,7 @@
 Architecture: any
 Depends:
  debconf | debconf-2.0,
- lsb-base (>= 3.0-6),
+ lsb-release,
  openssl,
  perl,
  ucf,
