=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_autoreconf:
	echo "$(DEB_VERSION_UPSTREAM_REVISION)" > VERSION.txt
	echo "boxbackup" >> VERSION.txt
	sh -x ./bootstrap

override_dh_auto_configure:
	./configure $(DEB_EXTRA_CONFIG_FLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# the testsuite is only really maintained on i386 and amd64
ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
	export V=1 && ./runtest.pl ALL release
endif
endif

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_install:
	mv debian/boxbackup-server.logcheck.ignore debian/boxbackup-server.logcheck.ignore.server
	ln -s  debian/boxbackup-server.logcheck.ignore.server debian/boxbackup-server.logcheck.ignore.workstation

docs/docbook/instguide.pdf:
	$(MAKE) -C docs instguide
	cd docs/docbook && docbook2pdf instguide.xml

docs/docbook/adminguide.pdf: configure-stamp
	$(MAKE) -C docs adminguide
	cd docs/docbook && docbook2pdf adminguide.xml

docs: docs/docbook/instguide.pdf docs/docbook/adminguide.pdf
	$(MAKE) -C docs manpages
