=== debian/watch ===
version=4
# upstream does not plan to make specific releases anymore, cf
# http://lists.boxbackup.org/pipermail/boxbackup/2019-January/006690.html
opts="mode=git, pretty=0.13~~git%cd.g%h, repacksuffix=+ds,dversionmangle=s/\+ds//,repack" \
  https://github.com/boxbackup/boxbackup HEAD
